javax.swing.plaf.metal

## Class MetalBorders.TableHeaderBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.TableHeaderBorder

- All Implemented Interfaces:
    Serializable, Border
  Enclosing class:
    MetalBorders

      public static class MetalBorders.TableHeaderBorder
      extends AbstractBorder

  Border for a Table Header
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Insets` | `editorBorderInsets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalBorders.TableHeaderBorder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component c, Insets insets)` Reinitializes the insets parameter with this Border's current Insets.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### editorBorderInsets

          protected Insets editorBorderInsets

  - ### Constructor Detail

    - #### MetalBorders.TableHeaderBorder

          public MetalBorders.TableHeaderBorder()

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                         Graphics g,
                         int x,
                         int y,
                         int w,
                         int h)

      Description copied from class: `AbstractBorder`
      This default implementation does no painting.
      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `w` - the width of the painted border
        `h` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                               Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.